> ## Documentation Index
> Fetch the complete documentation index at: https://docs.standardmetrics.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Upsert overrides

> 
        Upsert overrides for ownership percentages, post-money valuations, and fair values. Creates or updates override data for companies and funds.

        **Permissions:**
        - User must be authenticated via OAuth.
        - User must have access to the companies and funds.
        - User must have permission to modify data in the portco.
    



## OpenAPI

````yaml put /beta/investment/overrides/upsert/
openapi: 3.1.0
info:
  title: Standard Metrics Investment Data API
  version: beta
  description: Standard Metrics' investment data API.
servers:
  - url: https://app.standardmetrics.io
security: []
paths:
  /beta/investment/overrides/upsert/:
    put:
      tags:
        - cap_table
      summary: Upsert overrides
      description: |2-

                Upsert overrides for ownership percentages, post-money valuations, and fair values. Creates or updates override data for companies and funds.

                **Permissions:**
                - User must be authenticated via OAuth.
                - User must have access to the companies and funds.
                - User must have permission to modify data in the portco.
            
      operationId: upsert_overrides
      parameters: []
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OverridesToUpsert'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MessagesResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    OverridesToUpsert:
      description: Overrides to add.
      properties:
        ownerships:
          default: []
          items:
            $ref: '#/components/schemas/Ownership'
          title: Ownerships
          type: array
        post_money_valuations:
          default: []
          items:
            $ref: '#/components/schemas/PostMoneyValuation'
          title: Post Money Valuations
          type: array
        fair_values:
          default: []
          items:
            $ref: '#/components/schemas/FairValue'
          title: Fair Values
          type: array
      title: OverridesToUpsert
      type: object
    MessagesResponse:
      description: A response with messages.
      properties:
        message:
          title: Message
          type: string
      required:
        - message
      title: MessagesResponse
      type: object
    Ownership:
      description: An ownership override to add to a company's cap table.
      properties:
        date:
          format: date
          title: Date
          type: string
        company_id:
          title: Company Id
          type: string
        ownership_percentage:
          anyOf:
            - maximum: 1
              minimum: 0
              type: number
            - type: string
          description: The ownership percentage
          examples:
            - '0.1'
            - '0.5'
            - '1'
          title: Ownership Percentage
        fund_id:
          title: Fund Id
          type: string
      required:
        - date
        - company_id
        - ownership_percentage
        - fund_id
      title: Ownership
      type: object
    PostMoneyValuation:
      description: A post-money valuation to add to a company's cap table.
      properties:
        date:
          format: date
          title: Date
          type: string
        company_id:
          title: Company Id
          type: string
        post_money_valuation:
          $ref: '#/components/schemas/MoneyAmount'
      required:
        - date
        - company_id
        - post_money_valuation
      title: PostMoneyValuation
      type: object
    FairValue:
      description: A fair value override to add to a company's cap table.
      properties:
        date:
          format: date
          title: Date
          type: string
        company_id:
          title: Company Id
          type: string
        fair_value:
          $ref: '#/components/schemas/MoneyAmount'
        fund_id:
          title: Fund Id
          type: string
      required:
        - date
        - company_id
        - fair_value
        - fund_id
      title: FairValue
      type: object
    MoneyAmount:
      description: A monetary amount.
      properties:
        value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount for the source currency.
          examples:
            - '1000000'
          title: Value
        converted_value:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The value of the amount converted to your firm's preferred currency.
          examples:
            - '1000000'
          readOnly: true
          title: Converted Value
        currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: The currency of the amount.
          examples:
            - USD
        converted_currency:
          anyOf:
            - $ref: '#/components/schemas/CurrencyCode'
            - type: 'null'
          description: >-
            The currency of the converted amount. Your firm's preferred
            currency.
          examples:
            - USD
          readOnly: true
        fx_rate:
          anyOf:
            - type: number
            - type: string
            - type: 'null'
          description: The FX rate between the source currency and the converted currency.
          examples:
            - '1.0'
          title: Fx Rate
        is_custom_rate:
          anyOf:
            - type: boolean
            - type: 'null'
          description: Whether the FX rate is a custom rate.
          examples:
            - false
          readOnly: true
          title: Is Custom Rate
      required:
        - value
        - currency
      title: MoneyAmount
      type: object
    CurrencyCode:
      description: Supported currency codes.
      enum:
        - AED
        - AUD
        - BDT
        - BRL
        - CAD
        - CHF
        - CNY
        - COP
        - CZK
        - DKK
        - EUR
        - GBP
        - GHS
        - HKD
        - IDR
        - ILS
        - INR
        - JPY
        - JOD
        - KES
        - KRW
        - MXN
        - NGN
        - NOK
        - NZD
        - PEN
        - PHP
        - SAR
        - SGD
        - USD
        - PKR
        - THB
        - TRY
        - TWD
        - TZS
        - VND
        - SEK
        - ISK
        - ZAR
      title: CurrencyCode
      type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````